| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Private Attributes

# IG::Gr::GraphicObject Class Reference

Graphic object, a tree - like collection of graphic primitives. More...

Collaboration diagram for IG::Gr::GraphicObject:
[legend]

List of all members.

## Public Member Functions
virtual void | Add (GraphicPrimitive primitive)
| Adds a graphic primitive to the object.
virtual void | Add (GraphicObject grobject)
| Adds a child graphic object to the current objects.
virtual GraphicObject | GetDirectChildObject (int i)
| Returns tha direct child object No. i.
virtual void | AddChildObject (GraphicObject grobject)
| Adds a child object to the graphic object.
virtual GraphicPrimitive | GetDirectPrimitive (int i)
| Returns the primitive No. i that is directly contained on this graphic object. Primitives contained in descendant objects are excluded.
## Properties
virtual GraphicObject | Parent`[get, set]`
| Gets the parent object of this object (if there exists).
virtual int | NumDirectChildObjects`[get]`
| Gets the number of child objects of the current element (descendants of higher leval are excluded).
virtual int | NumObjects`[get]`
| Gets the total number of descendant objects.
virtual int | NumDirectPrimitives`[get]`
| Gets the number of graphic primitives directly contained in this object. This does NOT include the primitive contained in descendant objects.
virtual int | NumPrimitives`[get]`
| Gets the total number of graphic primitives contained in this object, which includes primitives of all descendant graphic objects.
virtual GrPrimitiveSettings | Settings`[get, set]`
| Gets the primitive's internal graphic properties (such as color, etc.)
virtual GrPrimitiveSettings | EffectiveSettings`[get]`
## Private Attributes
GraphicObject | _parent = null
List< GraphicObject > | _childobjects = new List<GraphicObject>()
List< GraphicPrimitive > | _primitives = new List<GraphicPrimitive>()
GrPrimitiveSettings | _settings = null

## Detailed Description

Graphic object, a tree - like collection of graphic primitives.

## Member Function Documentation

virtual void IG::Gr::GraphicObject::Add | ( | GraphicPrimitive | primitive | ) | `[inline, virtual]`

Adds a graphic primitive to the object.

virtual void IG::Gr::GraphicObject::Add | ( | GraphicObject | grobject | ) | `[inline, virtual]`

Adds a child graphic object to the current objects.

Parameters:

  grobject | Graphic object that is added as a child object.

virtual GraphicObject IG::Gr::GraphicObject::GetDirectChildObject | ( | int | i | ) | `[inline, virtual]`

Returns tha direct child object No. i.

Parameters:

  i | Index of the child object to return.

Returns:
  The direct child object No i.

Exceptions:

  IndexOutOfRangeException | When index is out of range.

virtual void IG::Gr::GraphicObject::AddChildObject | ( | GraphicObject | grobject | ) | `[inline, virtual]`

Adds a child object to the graphic object.

virtual GraphicPrimitive IG::Gr::GraphicObject::GetDirectPrimitive | ( | int | i | ) | `[inline, virtual]`

Returns the primitive No. i that is directly contained on this graphic object. Primitives contained in descendant objects are excluded.

Parameters:

  i | Zero-based index of the primitive.

Returns:
  The specified primitive that is directly contained in the current graphic object.

Exceptions:

  | When index is out of range.

## Member Data Documentation

GraphicObject IG::Gr::GraphicObject::_parent = null`[private]`

List<GraphicObject> IG::Gr::GraphicObject::_childobjects = new List<GraphicObject>()`[private]`

List<GraphicPrimitive> IG::Gr::GraphicObject::_primitives = new List<GraphicPrimitive>()`[private]`

GrPrimitiveSettings IG::Gr::GraphicObject::_settings = null`[private]`

## Property Documentation

virtual GraphicObject IG::Gr::GraphicObject::Parent`[get, set]`

Gets the parent object of this object (if there exists).

virtual int IG::Gr::GraphicObject::NumDirectChildObjects`[get]`

Gets the number of child objects of the current element (descendants of higher leval are excluded).

virtual int IG::Gr::GraphicObject::NumObjects`[get]`

Gets the total number of descendant objects.

virtual int IG::Gr::GraphicObject::NumDirectPrimitives`[get]`

Gets the number of graphic primitives directly contained in this object. This does NOT include the primitive contained in descendant objects.

virtual int IG::Gr::GraphicObject::NumPrimitives`[get]`

Gets the total number of graphic primitives contained in this object, which includes primitives of all descendant graphic objects.

virtual GrPrimitiveSettings IG::Gr::GraphicObject::Settings`[get, set]`

Gets the primitive's internal graphic properties (such as color, etc.)

virtual GrPrimitiveSettings IG::Gr::GraphicObject::EffectiveSettings`[get]`

The documentation for this class was generated from the following file:

- GrObjects.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events